View Issue Details

IDProjectCategoryView StatusLast Update
0006238MediaMonkey (current)Otherpublic2010-10-25 13:28
ReporterLudek 
PriorityhighSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version4.0Fixed in Version4.0 
Summary0006238: XSPF Import/Export
DescriptionWe have added XSPF reading in version 3.1 ( 0005502 ), but at the WishList forum has been request for feature to import/export XSPF playlists similary like M3U playlists.

We should add this, because XSPF becomes widely used, spec here:
http://www.xspf.org/specs/

i.e. add export as
Send to ... -> Export as .xspf playlist
File -> Export to Playlist... -> m3u|xspf

and also maybe import.
Additional Informationhttp://www.mediamonkey.com/forum/viewtopic.php?f=4&t=14939
TagsNo tags attached.
Fixed in build1307

Relationships

related to 0005502 closedLudek Support XSPF handling 

Activities

Ludek

2010-01-09 01:40

developer   ~0019914

Examples of such a playlists:
http://www.preachtheword.com/playlist.xspf [^]
http://www.uzitecny.net/xspf_player/hifi-sol.xspf [^]

Specification here: http://xspf.org/quickstart/ [^]

Ludek

2010-01-12 21:58

developer   ~0019936

Last edited: 2010-01-12 22:01

Implemented Export in build 1301.

i.e. modified the
Send to ... -> .m3u/.xspf playlist
File -> Export to Playlist... -> m3u|xspf

Re: Import
Rusty, do you think that I should just modify
'Imported m3u playlists' -> 'Imported playlists'
or to add an extra
'Imported xspf playlists'
node?

rusty

2010-01-13 17:38

administrator   ~0019945

Re. export: sounds good.

Re. Import: I would suggest that in the tree we should change:
-'Imported .m3u playlists' to 'Imported playlists'

Ludek

2010-01-14 00:02

developer   ~0019948

Implemented in build 1301.

Ludek

2010-05-27 11:12

developer   ~0020191

Fixed some Album Art issues in build 1307.

stephen_platt

2010-10-25 13:28

developer   ~0020950

verified 1318